DELETE Accounts
Use this endpoint to delete an account within a branch.
User level: Advanced
Endpoint
DELETE /v1/{scopeId}/accounts/{id}| Property | Value |
|---|---|
| Method | DELETE |
| Scope ID | Branch UUID |
| Resource ID | Required account UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:accounts:write |
| Request body | Not required |
Delete rules
- The API validates server-side whether the account belongs to the allowed organization and branch.
- The account ID in the URL is required.
- No request body is needed.
- Before deleting an account, the API checks whether the account is linked to the branch from the URL through
account_branches.
Example request
curl -X DELETE "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/accounts/550e8400-e29b-41d4-a716-446655440001" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."Example response
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"deleted": true
},
"version": "v1"
}Error response
{
"error": "not_found",
"error_description": "The account could not be found for this branch"
}Possible error codes
400 invalid_request401 unauthorized401 invalid_token403 invalid_token_type403 insufficient_scope404 not_found405 method_not_allowed
Last updated on

